<?php

namespace Drupal\drupal_inquicker\Source;

/**
 * A dummy source, which can be used for limited testing.
 */
class DummySource extends Source {

  /**
   * {@inheritdoc}
   */
  public function live() : bool {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function validate() {
    // Do nothing, a dummy source needs no extra information to be valid.
  }

  /**
   * {@inheritdoc}
   */
  public function response($uri, array $options = []) {
    // @codingStandardsIgnoreStart
    return new class() {
      public function getBody() : string {
        return '{"data":[{"provider":null,"location":{"id":"my-location","name":"My Location"},"facility":{"id":"my-facility","name":"My Facility"},"service":{"id":"my-service","name":"My Service","serviceLine":{"id":"my-service-line","name":"My Service Line"}},"appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null},{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}],"availableTimes":[{"date":"2019-03-04","times":[{"time":"2019-03-04T09:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-04T10:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-04T11:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-04T13:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-04T14:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-04T15:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-04T09:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-04T10:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-04T11:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-04T13:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-04T14:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-04T15:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]},{"date":"2019-03-05","times":[{"time":"2019-03-05T09:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-05T11:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-05T13:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-05T14:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-05T15:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-05T09:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-05T11:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-05T13:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-05T14:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-05T15:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]},{"date":"2019-03-07","times":[{"time":"2019-03-07T09:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-07T10:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-07T11:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-07T09:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-07T10:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-07T11:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]},{"date":"2019-03-08","times":[{"time":"2019-03-08T09:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-08T10:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-08T11:00:00-07:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-08T09:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-08T10:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-08T11:00:00-07:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]},{"date":"2019-03-11","times":[{"time":"2019-03-11T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-11T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-11T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-11T13:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-11T14:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-11T15:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-11T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-11T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-11T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-11T13:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-11T14:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-11T15:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]},{"date":"2019-03-12","times":[{"time":"2019-03-12T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-12T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-12T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-12T13:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-12T14:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-12T15:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-12T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-12T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-12T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-12T13:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-12T14:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-12T15:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]},{"date":"2019-03-14","times":[{"time":"2019-03-14T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-14T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-14T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-14T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-14T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-14T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]},{"date":"2019-03-15","times":[{"time":"2019-03-15T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-15T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-15T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-15T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-15T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-15T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]},{"date":"2019-03-18","times":[{"time":"2019-03-18T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-18T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-18T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-18T13:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-18T14:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-18T15:00:00-06:00","appointmentTypes":[{"id":"appointment-type-one","name":"Appointment Type One","remote_id":null}]},{"time":"2019-03-18T09:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-18T10:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-18T11:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-18T13:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-18T14:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]},{"time":"2019-03-18T15:00:00-06:00","appointmentTypes":[{"id":"appointment-type-two","name":"Appointment Type Two","remote_id":null}]}]}],"hasAvailability":true,"nextAvailableTimes":[{"appointmentType":"appointment-type-one","time":"2019-03-04T09:00:00-07:00"},{"appointmentType":"appointment-type-two","time":"2019-03-04T09:00:00-07:00"}],"registrationUrl":"https://example.com/registration-url","id":"registration-url-id","region":{"id":"my-region","name":"My Region"}}],"metadata":{"statusCode":200,"error":null,"pagination":{"totalItems":1,"totalPages":1,"currentPage":"/v2/schedules?api_key=my-api-key&locations=my-location&service_lines=my-service-line","previousPage":null,"nextPage":null},"poweredBy":{"text":"Powered by Inquicker","url":"https://steward.inquicker.com"}}}';
      }
    };
    // @codingStandardsIgnoreEnd
  }

  /**
   * {@inheritdoc}
   */
  public function url() : string {
    return '';
  }

}
